
package de.ivu.elect.business.stimmeingabe.entity;

import de.ivu.elect.business.wahl.entity.WahlParameterStimmeingabeErfassungsmaskeUmgangKennung;

public class StimmeingabeKopfzahlTableLayout {

  private final boolean erfassungGesperrt;

  private final boolean kennungVorStimmeingabeRendered;
  private final String kennungVorStimmeingabeHeader;

  private final boolean kennungNachStimmeingabeRendered;
  private final String kennungNachStimmeingabeHeader;

  private final boolean bezeichnungRendered;
  private final String bezeichnungHeader;

  private final boolean anzahlRendered;
  private final String anzahlHeader;

  private final boolean anzahlVergleichRendered;
  private final String anzahlVergleichHeader;

  public StimmeingabeKopfzahlTableLayout( //
      boolean erfassungGesperrt, //

      WahlParameterStimmeingabeErfassungsmaskeUmgangKennung wahlParameterStimmeingabeErfassungsmaskeUmgangKennung, //
      String kennungVorStimmeingabeHeader, //
      String kennungNachStimmeingabeHeader, //

      boolean bezeichnungRendered, //
      String bezeichnungHeader, //

      boolean anzahlRendered, //
      String anzahlHeader, //

      boolean anzahlVergleichRendered, //
      String anzahlVergleichHeader //
  ) {
    this(erfassungGesperrt, wahlParameterStimmeingabeErfassungsmaskeUmgangKennung.isAngezeigtVorStimmeingabe(), kennungVorStimmeingabeHeader,
        wahlParameterStimmeingabeErfassungsmaskeUmgangKennung.isAngezeigtNachStimmeingabe(), kennungNachStimmeingabeHeader, bezeichnungRendered, bezeichnungHeader, anzahlRendered, anzahlHeader,
        anzahlVergleichRendered, anzahlVergleichHeader);
  }

  public StimmeingabeKopfzahlTableLayout( //
      boolean erfassungGesperrt, //

      boolean kennungVorStimmeingabeRendered, //
      String kennungVorStimmeingabeHeader, //

      boolean kennungNachStimmeingabeRendered, //
      String kennungNachStimmeingabeHeader, //

      boolean bezeichnungRendered, //
      String bezeichnungHeader, //

      boolean anzahlRendered, //
      String anzahlHeader, //

      boolean anzahlVergleichRendered, //
      String anzahlVergleichHeader //
  ) {
    super();

    this.erfassungGesperrt = erfassungGesperrt;

    this.kennungVorStimmeingabeRendered = kennungVorStimmeingabeRendered;
    this.kennungVorStimmeingabeHeader = kennungVorStimmeingabeHeader;

    this.kennungNachStimmeingabeRendered = kennungNachStimmeingabeRendered;
    this.kennungNachStimmeingabeHeader = kennungNachStimmeingabeHeader;

    this.bezeichnungRendered = bezeichnungRendered;
    this.bezeichnungHeader = bezeichnungHeader;

    this.anzahlRendered = anzahlRendered;
    this.anzahlHeader = anzahlHeader;

    this.anzahlVergleichRendered = anzahlVergleichRendered;
    this.anzahlVergleichHeader = anzahlVergleichHeader;
  }

  public boolean isErfassungGesperrt() {
    return erfassungGesperrt;
  }

  public boolean isKennungVorStimmeingabeRendered() {
    return kennungVorStimmeingabeRendered;
  }

  public String getKennungVorStimmeingabeHeader() {
    return kennungVorStimmeingabeHeader;
  }

  public boolean isKennungNachStimmeingabeRendered() {
    return kennungNachStimmeingabeRendered;
  }

  public String getKennungNachStimmeingabeHeader() {
    return kennungNachStimmeingabeHeader;
  }

  public boolean isBezeichnungRendered() {
    return bezeichnungRendered;
  }

  public String getBezeichnungHeader() {
    return bezeichnungHeader;
  }

  public boolean isAnzahlRendered() {
    return anzahlRendered;
  }

  public String getAnzahlHeader() {
    return anzahlHeader;
  }

  public boolean isAnzahlVergleichRendered() {
    return anzahlVergleichRendered;
  }

  public String getAnzahlVergleichHeader() {
    return anzahlVergleichHeader;
  }
}
